Subject: Re: bug#24412: 11.89; Wrong DocTeX-mode

From: David Kastrup <[email-masked]>
Date: Mon, 12 Sep 2016 10:10:11 +0200

Piet van Oostrum <[email-masked]> writes:

> David Kastrup wrote:
>
>  > TeX-modes is a variable defined in ‘tex-site.el’.
>  > Its value is
>  > (tex-mode plain-tex-mode texinfo-mode latex-mode doctex-mode)
>  > 
>  > Documentation:
>  > List of modes provided by AUCTeX.
>  > 
>  > This variable can’t be set normally; use customize for that, or
>  > set it with ‘TeX-modes-set’.
>  > 
>  > You can customize this variable.
>
> Oops! That's tricky.

Also necessary because if you write

mode: LaTeX

(or any other capitalization) in a file variable block, Emacs will
invariably call latex-mode .

> I had put something in docTeX-mode-hook, and I didn't see much
> evidence of it happening. There was an error in it, but I did not get
> an error message. However, now you told me this, I looked in
> *Messages* and I saw the message there. So it seems to work.
>
> Thanks for updating me. You are never too old to learn something new.

Well, I would not want to rule out any blunder of that kind sitting
around for 10 years or so.  But chances are that somebody might have
caught it at some time.  Don't even remember who did the original
docTeX-mode (or made it useful), probably Ralf.  It's quirky but pretty
useful.

-- 
David Kastrup